Subject: Re: SCSI-controller?

From: Olaf Seibert <[email-masked]>

[email-masked] (Michael L. Hitch) wrote:
>   If the BOIL3 scsi controller uses the 5380 chip like the Supra Wordsync,
> it shouldn't be too hard to add support for it on NetBSD.  I have a Supra
> Wordsync in a second machine that I was able to boot NetBSD with.  The
> Supra support is rather elementry at the momement, but I am still working
> in it.  I can add support for other 5380-type controllers with just a
> little basic information (although it's sometimes hard to come by).  I
> need to know the Manufacturer and Product codes of the board, the locations
> of the 5380 registers (relative to the start of the board address), and
> optionally any available information on psuedo-DMA access used by the board
> (or information on real DMA if the board uses it).

Manufacturer and product code are simple: the same as an original
wordsync: SysInfo tells me that I have a wordsync; the text on the card
tells me it's a wordsync, and the manual tells me that the hardware is
a wordsync. The only difference (though an important one from a user-
interface point of view) is the EPROM that's on it. And the installation
software. But I presume that both of those are completely irrelevant,
since we're going to bang on the hardware. I would therefore presume
that from a NetBSD point of view, the BOIL is indistinguishable from
a 'real' wordsync.

Now if you would get the wordsync to work, I'll have to decide if I
want to use my 2000 diskless until IDE support magically appears. On
the other hand, IDE support might get there quicker since I'll be able
so spend some time on it (not as much as I'd like probably, though).
And I'll be able to copy the whole 105M on the wordsync to the big
ide disk, and use ParNFS to serve the 2000 ... yes, this seems like
a good idea!

> Michael
-Olaf.
--
___ Olaf 'Rhialto' Seibert       D787B44DFC896063 4CBB95A5BD1DAA96
\X/ There are no lemurs in this post	      [email-masked]